<?php
include 'mysqli_connect.php'; // Include database connection

// Fetch all comments from the database
$query = "SELECT * FROM guestbook";
$result = mysqli_query($conn, $query);

echo '<!DOCTYPE html>
<html>
<head>
    <title>Guestbook</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>';
include 'header.php';

echo '<h1>Guestbook Comments</h1>';

if (mysqli_num_rows($result) > 0) {
    while ($row = mysqli_fetch_assoc($result)) {
        echo "<div class='comment'>";
        echo "<p><strong>Comment:</strong> " . htmlspecialchars($row['comment']) . "</p>";
        echo "<a href='update.php?guestbook_id=" . $row['guestbook_id'] . "'><button>Update</button></a> ";
        echo "<form action='' method='POST' style='display:inline;'>
                <input type='hidden' name='guestbook_id' value='" . $row['guestbook_id'] . "' />
                <input type='submit' name='delete' value='Delete' />
              </form>";
        echo "</div>";
    }
} else {
    echo "<p>No comments available.</p>";
}

// Handle delete functionality
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['delete'])) {
    $guestbook_id = $_POST['guestbook_id'];
    $deleteQuery = "DELETE FROM guestbook WHERE guestbook_id = $guestbook_id";
    if (mysqli_query($conn, $deleteQuery)) {
        echo "<p>Comment deleted successfully!</p>";
        header("Location: index.php");
        exit();
    } else {
        echo "<p>Error deleting comment: " . mysqli_error($conn) . "</p>";
    }
}

include 'footer.php';

echo '</body></html>';

mysqli_close($conn);
?>